ENUM MPATH_INFO_FLAG(9)

NAME
enum_mpath_info_flags - mesh path information flags

SYNOPSIS

enum mpath_info_flags {
  MPATH_INFO_FRAME_QLEN,
  MPATH_INFO_SN,
  MPATH_INFO_METRIC,
  MPATH_INFO_EXPTIME,
  MPATH_INFO_DISCOVERY_TIMEOUT,
  MPATH_INFO_DISCOVERY_RETRIES,
  MPATH_INFO_FLAGS
};

CONSTANTS

MPATH_INFO_FRAME_QLEN
    frame_qlen filled

MPATH_INFO_SN
    sn filled

MPATH_INFO_METRIC
    metric filled

MPATH_INFO_EXPTIME
    exptime filled

MPATH_INFO_DISCOVERY_TIMEOUT
    discovery_timeout filled

MPATH_INFO_DISCOVERY_RETRIES
    discovery_retries filled

MPATH_INFO_FLAGS
    flags filled

DESCRIPTION

Used by the driver to indicate which info in struct mpath_info it has filled in during get_station or dump_station.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT